sayren Docs
스토어프론트 호스팅

스토어프론트 작업 트리 내려받기 준비

지금 작업 트리를 고정하고(`sourceRef`, 편집 환경이 떠 있으면 지금 내용) 압축 파일(tar.gz) 크기와 조각 수를 알린다. 내용은 `GET source/archive`로 받는다

GET
/v1/storefront/site/source

지금 작업 트리를 고정하고(sourceRef, 편집 환경이 떠 있으면 지금 내용) 압축 파일(tar.gz) 크기와 조각 수를 알린다. 내용은 GET source/archive로 받는다

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X GET 'https://api.sayren.io/v1/storefront/site/source' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "siteId": "string",    "storeId": "string",    "storeCode": "string",    "sourceRef": "string",    "treeSha256": "string",    "files": 0,    "bytes": 0,    "archive": {      "format": "tar+gzip",      "bytes": 0,      "sha256": "string",      "parts": 0,      "partBytes": 0    },    "editSessionOpen": true  },  "error": null}